Runtime

## org.eclipse.gmf.runtime.common.core.service
Interface IOperation

All Known Subinterfaces:
  IIconOperation, IMatchingObjectsOperation, IModelingAssistantOperation

All Known Implementing Classes:
  ApplyModifiersOperation, CreateChildViewOperation, CreateDiagramEventBrokerOperation, CreateDiagramViewOperation, CreateEdgeViewOperation, CreateNodeViewOperation, CreateViewForKindOperation, CreateViewOperation, GetGlobalActionHandlerOperation, GetIconOperation, GetParserOperation, GetPropertySourceOperation, GetRelTypesForSREOnSourceOperation, GetRelTypesForSREOnTargetOperation, GetRelTypesOnSourceAndTargetOperation, GetRelTypesOnSourceOperation, GetRelTypesOnTargetOperation, GetTypesForPopupBarOperation, GetTypesForSourceOperation, GetTypesForTargetOperation, GetTypesOperation, GlobalActionHandlerOperation, GotoMarkerOperation, IconOperation, OpenEditorOperation, SelectExistingElementForSourceOperation, SelectExistingElementForTargetOperation, TestAttributeOperation

    public interface IOperation

The interface for all service provider operations.

Service implementers are expected to expose service specific classes implementing this interface.

Service provider implementers never need to implement this interface, they instead use the service specific implementation in their provider implementation.

See Also:
  `IProvider.provides(org.eclipse.gmf.runtime.common.core.service.IOperation)`

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.

Method Detail

### execute

    java.lang.Object execute(IProvider provider)

  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.